﻿

{% extends "base.html" %}
{% load static %}

{% block title %}Liste de mes vehicules{% endblock %}


{% block content %}
<script src="https://unpkg.com/sweetalert/dist/sweetalert.min.js"></script>

<script type="text/javascript">
    if({{ complet }} > 0){
        swal({
        text: "Vous avez un vehicule avec des informations capitales manquantes",
        icon: "warning",
        button: "Fermer",
        });
    }
   $(document).ready(function() {
      //var stat= document.getElementById("mySelect").value;
       if({{ Testprof }} >= 1){
           swal({
                title: "Votre profil n'est pas ajours !",
                text: "Veuillez completer votre profil ",
                icon: "warning",
                button: "Fermer",
            });
       }else{
            $('.ad-post-status').change(function() {
             var stat = $(this).children("option:selected").val();
             var car= $(this).parent().find('input').val();
             console.log($(this).parent().find('input').val());
            if({{ complet }} > 0){
                swal({
                text: "Vous avez un vehicule avec des informations capitales manquantes",
                icon: "warning",
                button: "Fermer",
                });
            }else{
                 $.ajax({
                   url: "/changeStat/",
                   type: "POST",
                   dataType: "json",
                   data: {
                      stat: stat,
                      car: car,
                       csrfmiddlewaretoken: '{{ csrf_token }}'
                       },
                   success : function(json) {
                        swal({
                            text: "Statut modifié .",
                            icon: "success",
                            button: "Fermer",
                        }).then((value) => {
                            window.location.href = '/voiture/'+{{ cmpt.id }};
                        });
                   },
                   error : function(xhr,errmsg,err) {
                        swal({
                            title: "Erreur lors de la validation.",
                            text: "Veuillez remplir correctement les champs.",
                            icon: "error",
                            button: "Fermer",
                        });
                       //alert("statut non modifié erreur: " + xhr.status + ": " + xhr.responseText);
                   }
               });
               }
           });
       }

   });
</script>
      <!-- =-=-=-=-=-=-= Breadcrumb End =-=-=-=-=-=-= -->
      <!-- =-=-=-=-=-=-= Main Content Area =-=-=-=-=-=-= -->
      <div class="main-content-area clearfix">
         <!-- =-=-=-=-=-=-= Latest Ads =-=-=-=-=-=-= -->
         <section class="custom-padding no-top gray">
            <!-- Main Container -->
            <div class="container">
               <!-- Row -->
               <div class="row">
                  <!-- Middle Content Area -->
                  <div class="col-md-12 col-xs-12 col-sm-12">
                     <section class="search-result-item">
                        <a class="image-link" href="#"><img class="image center-block" alt="" src="{% get_media_prefix %}{{cmpt.profile_image }}"> </a>
                        <div class="search-result-item-body">
                           <div class="row">
                              <div class="col-md-5 col-sm-12 col-xs-12">
                                 <h4 class="search-result-item-heading"><a href="#">{{client.nom}}</a></h4>
                                 <p class="info">
                                    <span><a href="profile.html"><i class="fa fa-star "></i>Bon</a></span>
                                    <span><a data-target="#myModal" data-toggle="modal" ><i class="fa fa-edit"></i>Modifier le Profile </a></span>
                                 </p>
                                 <p class="description">Dernière connexion à: {{ cmpt.last|date:'d/m/Y' }}</p>
                                 <span class="label label-success"><i class="fa fa-address-card"></i> {{ client.permis.numero}}</span>
                                 {%if cmpt.vernum == '1' %}
                                 <span class="label label-success"> <i class="fa fa-phone "> </i>verifié</span>
                                 {%else %}
                                    <span class="label label-danger"> <i class="fa fa-phone "> </i>Non verifié</span>
                                 {% endif %}
                                 {%if cmpt.vermail == '1' %}
                                 <span class="label label-success"> <i class="fa fa-envelope "> </i> verifié</span>
                                 {%else %}
                                 <span class="label label-danger"> <i class="fa fa-envelope "> </i> Non verifié</span>
                                 {% endif %}
                              </div>
                              <div class="col-md-7 col-sm-12 col-xs-12">
                                 <div class="row ad-history">
                                    <div class="col-md-4 col-sm-4 col-xs-12">
                                       <div class="user-stats">
                                          <h2>{{user_gain}}</h2>
                                          <small>Revenus</small>
                                       </div>
                                    </div>
                                    <div class="col-md-4 col-sm-4 col-xs-12">
                                       <div class="user-stats">
                                          <h2>{{user_pay}}</h2>
                                          <small>Paiements</small>
                                       </div>
                                    </div>
                                    <div class="col-md-4 col-sm-4 col-xs-12">
                                       <div class="user-stats">
                                          <h2>{{nbre_voiture}}</h2>
                                          <small>Voitures</small>
                                       </div>
                                    </div>
                                 </div>
                              </div>
                           </div>
                        </div>
                     </section>
                     <div class="dashboard-menu-container">
                        <ul>
                           <li>
                              <a href="/compte/{{ cmpt.id }}">
                                 <div class="menu-name">Mon Profil </div>
                              </a>
                           </li>
                           <li class="active">
                              <a href="/voiture/{{ cmpt.id }}">
                                 <div class="menu-name">Mes Voitures</div>
                              </a>
                           </li>
                           <li>
                              <a href="/location/{{ cmpt.id }}">
                                 <div class="menu-name">Mes locations</div>
                              </a>
                           </li>
                           <li>
                              <a href="/favourite/{{ cmpt.id }}">
                                 <div class="menu-name">Mes favoris</div>
                              </a>
                           </li>
                           <li>
                              <a href="/messages/{{ cmpt.id }}">
                                 <div class="menu-name">Messages</div>
                              </a>
                           </li>
                           <li>
                              <a href="/UserAcces/{{ cmpt.id }}">
                                 <div class="menu-name">Mon compte</div>
                              </a>
                           </li>
                           <li>
                              <a href="/deconnexion/{{ cmpt.id }}">
                                 <div class="menu-name">Deconnexion</div>
                              </a>
                           </li>
                        </ul>
                     </div>
                  </div>
                  <!-- Middle Content Area  End -->
               </div>
               <!-- Row End -->
               
               <div class="row margin-top-40">
                  <!-- Ads Archive -->
                  <div class="grid-style-4">
                     <div class="posts-masonry">
                        {% for car in cartList %}
                        <div class="col-md-4  col-xs-12 col-sm-6">
                           <!-- Ad Box -->
                           <div class="white category-grid-box-1 ">
                              <!-- Image Box -->
                              <div class="image">
                                 {%if car.status == null %}
                                     <div class="ribbon status_active">Indisponible</div>
                                {%else %}
                                     <div class="ribbon status_active">{{car.status}}</div>
                                 {% endif %}
                                 <img alt="Carspot" src="{% get_media_prefix %}{{car.feature }}" class="img-responsive" style="height: 230px;">
                                 <div class="notification msgs">
                                    <a class="round-btn" href="javascript:void(0);"><i class="fa fa-envelope-o"></i></a>
                                    <span>7</span>
                                 </div>
                              </div>
                              <!-- Short Description -->
                              <div class="short-description-1 ">
                                 <!-- Category Title -->
                                 <div class="category-title"> <span><a href="#">{{car.usage.libelle}}</a></span> </div>
                                 <!-- Ad Title -->
                                 <h3>
                                    <a title="" href="/editCar/{{ car.id }}">{{car.marque}}</a>
                                 </h3>
                                 <!-- Location -->
                                 <p class="location"><i class="fa fa-map-marker"></i> {{car.quartier.libelle}}</p>
                                 <!-- Price -->
                                  {%if car.prix == null %}
                                     <span class="ad-price">0</span>
                                  {%else %}
                                     <span class="ad-price">{{car.prix}}</span>
                                  {% endif %}

                              </div>
                              <!-- Ad Meta Stats -->
                              <div class="ad-info-1">
                                 <!-- Ad Status -->
                                 <label>
                                    Changer de Status
                                    <select class="form-control ad-post-status"  name="{{car.immatriculation}}">
                                       {%if car.status == null %}
                                         <option value="Indisponible">Desactivé</option>
                                      {%else %}
                                         <option value="{{car.status}}" selected="selected">{{car.status}}</option>
                                      {% endif %}
                                       <option value="Indisponible">Desactivé</option>
                                       <option value="Disponible">Activer</option>
                                    </select>
                                    <input type="hidden"  name="car"  value="{{ car.id }}" id="veh-{{ car.id }}">
                                 </label>
                                 <ul class="pull-right ">
                                    <li><a data-toggle="tooltip" data-placement="top" title="" data-original-title="Modifier" href="/editCar/{{ car.id }}"><i class="fa fa-pencil edit"></i></a> </li>
                                    <li><label data-toggle="tooltip" data-placement="top" title="" data-original-title="Supprimer"  onclick="supvehicule({{ car.id }})"><i class="fa fa-times delete"></i></label></li>
                                 </ul>
                              </div>
                           </div>
                           <!-- Ad Box End -->
                        </div>
                        {% endfor %}


                     </div>
                  </div>
                  <!-- Ads Archive End -->  
               </div>
            </div>
            <!-- Main Container End -->
         </section>


    <script type="text/javascript">
        function supvehicule(id_vehicule){
            swal({
              icon: "warning",
              text: "Voulez-vous vraiment supprimer ce véhicule ?",
              dangerMode: true,
              buttons: true,
              buttons: ["Annuler", "Supprimer"],
            })
            .then((willDelete) => {
              if (willDelete) {
                  $.ajax({
                        type:"GET",
                        url:"/deleteCar/"+id_vehicule,
                        dataType:"json",
                        success:function(msg){
                           if (msg.status == true){
                                swal({
                                  icon: "success",
                                  text: "Suppression effectuée",
                                  buttons: true,
                                  buttons: "Fermer"
                                })
                                .then((value) => {
                                  window.location.href = '/voiture/'+{{ cmpt.id }};
                                });
                           }
                        }//fin fonction success
                  });


              }
            });
        }
    </script>
         {% endblock %}  

